WCF – Error 500.21 Handler “svc-Integrated” has a bad module “ManagedPipelineHandler” in its module list”

By default, when the .NET Framework is installed on a computer where the runtime is already installed, all ASP.NET applications are automatically updated to use that version of the .NET Framework and the ASP.NET ISAPI version mapped to an ASP.NET application determines which version of the common language runtime (CLR) is used for the application.

If you see this error you haven’t installed the prerequistes for ASP.NET 4.

Troubleshoot this
1) Open Visual Studio Command Prompt with administrative privilege.
2) Type the following: aspnet_regiis.exe -i
3) Run the command

Try your service again…

It’s done. Enjoy..!